java 链接 mysql8 最终解决方案(各种报错原理)

1、首先是最基本的需要一个8的驱动包:

这里提供下载连接:https://img.javabysj.cn/error/mysql-connector-java-8.0.12.jar

2、然后是基本的驱动配置:

spring的applicationContext.xml配置如下:

<property name="url" value="jdbc:mysql://localhost:3306/zf21xofwlv?useSSL=false&amp;serverTimezone=UTC" />
<property name="driverClassName" value="com.mysql.cj.jdbc.Driver" />
主要是两点,mysql8.0用这个:
useSSL=false&serverTimezone=UTC
com.mysql.cj.jdbc.Driver
mysql其他版本:
characterEncoding=UTF-8
com.mysql.jdbc.Driver
3、最重要的来了,很多人不成功的原因是因为jdk版本问题!!!!
必须要jdk8及以上才能支持
需要修改tomcat引用的jdk版本,最好项目的jdk版本也换成8就没问题了!!!!

  • 上一篇:没有了
  • 下一篇:没有了

相关推荐

评论